SketchAssociativeTrimBuilder Class

class NXOpen.SketchAssociativeTrimBuilder

Bases: NXOpen.Builder

Represents a NXOpen.SketchAssociativeTrimBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchAssociativeTrimBuilder()

Default values.

Property Value
TrimType Keep

New in version NX5.0.0.

Properties

Property Description
RecipeCurves Returns the input curves.
Tag Returns the Tag for this object.
TrimType Returns or sets the trim region type - if the region needs to be kept/discarded

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateSection The function creates a new empty section object and adds it to the builder
DeselectRegion The region corresponding to help point will be delsected from being kept/discarded depending on trim type
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetSections This function gets all sections of the trim constraint during create/edit
RemoveSection The function removes the given section from the builder
ResetRegions The regions are forced to be deselected
SelectRegion The function sets help point for region select.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UpdateRegions The regions are recreated and updated to reflect the change in the boundary curves
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

SketchAssociativeTrimBuilderTrimOption Enumeration Represents the keep discard options for selected region

Property Detail

RecipeCurves

SketchAssociativeTrimBuilder.RecipeCurves

Returns the input curves.

These curves must be a part of a single continuous recipe chain.

-------------------------------------

Getter Method

Signature RecipeCurves

Returns:
Return type:NXOpen.SelectNXObjectList

New in version NX6.0.0.

License requirements: None.

TrimType

SketchAssociativeTrimBuilder.TrimType

Returns or sets the trim region type - if the region needs to be kept/discarded

-------------------------------------

Getter Method

Signature TrimType

Returns:
Return type:NXOpen.SketchAssociativeTrimBuilderTrimOption

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TrimType

Parameters:option (NXOpen.SketchAssociativeTrimBuilderTrimOption) –

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

CreateSection

SketchAssociativeTrimBuilder.CreateSection

The function creates a new empty section object and adds it to the builder

Signature CreateSection()

Returns:New section object
Return type:NXOpen.Section

New in version NX6.0.0.

License requirements: None.

DeselectRegion

SketchAssociativeTrimBuilder.DeselectRegion

The region corresponding to help point will be delsected from being kept/discarded depending on trim type

Signature DeselectRegion(helpPoint)

Parameters:helpPoint (NXOpen.Point3d) – Help point for region selection

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetSections

SketchAssociativeTrimBuilder.GetSections

This function gets all sections of the trim constraint during create/edit

Signature GetSections()

Returns:All the sections associated with the builder
Return type:list of NXOpen.Section

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveSection

SketchAssociativeTrimBuilder.RemoveSection

The function removes the given section from the builder

Signature RemoveSection(section)

Parameters:section (NXOpen.Section) – Section object to remove

New in version NX6.0.0.

License requirements: None.

ResetRegions

SketchAssociativeTrimBuilder.ResetRegions

The regions are forced to be deselected

Signature ResetRegions()

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SelectRegion

SketchAssociativeTrimBuilder.SelectRegion

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type

Signature SelectRegion(helpPoint)

Parameters:helpPoint (NXOpen.Point3d) – Help point for region selection

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

UpdateRegions

SketchAssociativeTrimBuilder.UpdateRegions

The regions are recreated and updated to reflect the change in the boundary curves

Signature UpdateRegions()

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

SketchAssociativeTrimBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.